Runtime

## org.eclipse.gmf.runtime.diagram.core
Class DiagramEditingDomainFactory.DiagramEditingDomain

    java.lang.Object
      org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain
          org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl
              org.eclipse.gmf.runtime.diagram.core.DiagramEditingDomainFactory.DiagramEditingDomain

All Implemented Interfaces:
  org.eclipse.emf.edit.domain.EditingDomain, org.eclipse.emf.transaction.impl.InternalTransactionalEditingDomain, org.eclipse.emf.transaction.TransactionalEditingDomain, org.eclipse.emf.transaction.TransactionalEditingDomain.DefaultOptions, org.eclipse.emf.transaction.util.Adaptable

Enclosing class:
  DiagramEditingDomainFactory

    protected static class DiagramEditingDomainFactory.DiagramEditingDomain

extends org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl
`org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl.FactoryImpl, org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl.RegistryImpl, org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl.ValidatorFactoryImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain
`org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain.AdapterFactoryEditingDomainResourceSet, org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain.DomainTreeIterator<E>, org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain.EditingDomainProvider`

Nested classes/interfaces inherited from interface org.eclipse.emf.transaction.TransactionalEditingDomain
`org.eclipse.emf.transaction.TransactionalEditingDomain.DefaultOptions, org.eclipse.emf.transaction.TransactionalEditingDomain.Factory, org.eclipse.emf.transaction.TransactionalEditingDomain.Registry`

Field Summary

Fields inherited from class org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain
`adapterFactory, clipboard, commandStack, optimizeCopy, resourceSet, resourceToReadOnlyMap`

Constructor Summary
`DiagramEditingDomainFactory.DiagramEditingDomain(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)`
`DiagramEditingDomainFactory.DiagramEditingDomain(org.eclipse.emf.common.notify.AdapterFactory adapterFactory, org.eclipse.emf.ecore.resource.ResourceSet resourceSet)`
`DiagramEditingDomainFactory.DiagramEditingDomain(org.eclipse.emf.common.notify.AdapterFactory adapterFactory, org.eclipse.emf.transaction.TransactionalCommandStack stack)`
`DiagramEditingDomainFactory.DiagramEditingDomain(org.eclipse.emf.common.notify.AdapterFactory adapterFactory, org.eclipse.emf.transaction.TransactionalCommandStack stack, org.eclipse.emf.ecore.resource.ResourceSet resourceSet)`

Method Summary
`void` `addResourceSetListener(org.eclipse.emf.transaction.ResourceSetListener l)`
`void` `broadcastUnbatched(org.eclipse.emf.common.notify.Notification notification)`
`protected void` `postcommit(org.eclipse.emf.transaction.impl.InternalTransaction tx)`
`void` `precommit(org.eclipse.emf.transaction.impl.InternalTransaction tx)`
`void` `removeResourceSetListener(org.eclipse.emf.transaction.ResourceSetListener l)`

Methods inherited from class org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl

`activate, createChangeRecorder, createPrivilegedRunnable, deactivate, dispose, endPrivileged, getActiveTransaction, getAdapter, getAggregatePrecommitListeners, getChangeRecorder, getDebugID, getDebugID, getDefaultTransactionOptions, getID, getPostcommitListeners, getPrecommitListeners, getTransactionalCommandStack, getUndoRedoOptions, getValidator, getValidatorFactory, runExclusive, setDefaultTransactionOptions, setID, setValidator, setValidatorFactory, startPrivileged, startTransaction, yield`

Methods inherited from class org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain

`createCommand, createOverrideCommand, createResource, getAdapterFactory, getChildren, getClipboard, getCommandStack, getEditingDomainFor, getEditingDomainFor, getEditingDomainItemProviderFor, getNewChildDescriptors, getOptimizeCopy, getParent, getResourceSet, getResourceToReadOnlyMap, getRoot, getTreePath, getWrapper, isControllable, isControlled, isReadOnly, isReadOnlyURI, isStale, loadResource, resolve, setAdapterFactory, setClipboard, setOptimizeCopy, setResourceToReadOnlyMap, treeIterator, unwrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.domain.EditingDomain
`createCommand, createOverrideCommand, createResource, getChildren, getClipboard, getCommandStack, getNewChildDescriptors, getOptimizeCopy, getParent, getResourceSet, getRoot, getTreePath, isControllable, isReadOnly, loadResource, setClipboard, treeIterator`

Constructor Detail

### DiagramEditingDomainFactory.DiagramEditingDomain

    public DiagramEditingDomainFactory.DiagramEditingDomain(org.eclipse.emf.common.notify.AdapterFactory adapterFactory,
                                                            org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

### DiagramEditingDomainFactory.DiagramEditingDomain

    public DiagramEditingDomainFactory.DiagramEditingDomain(org.eclipse.emf.common.notify.AdapterFactory adapterFactory,
                                                            org.eclipse.emf.transaction.TransactionalCommandStack stack,
                                                            org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

### DiagramEditingDomainFactory.DiagramEditingDomain

    public DiagramEditingDomainFactory.DiagramEditingDomain(org.eclipse.emf.common.notify.AdapterFactory adapterFactory,
                                                            org.eclipse.emf.transaction.TransactionalCommandStack stack)

### DiagramEditingDomainFactory.DiagramEditingDomain

    public DiagramEditingDomainFactory.DiagramEditingDomain(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

Method Detail

### addResourceSetListener

    public void addResourceSetListener(org.eclipse.emf.transaction.ResourceSetListener l)

  Specified by:
    `addResourceSetListener` in interface `org.eclipse.emf.transaction.TransactionalEditingDomain`
  Overrides:
    `addResourceSetListener` in class `org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl`

### removeResourceSetListener

    public void removeResourceSetListener(org.eclipse.emf.transaction.ResourceSetListener l)

  Specified by:
    `removeResourceSetListener` in interface `org.eclipse.emf.transaction.TransactionalEditingDomain`
  Overrides:
    `removeResourceSetListener` in class `org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl`

### precommit

    public void precommit(org.eclipse.emf.transaction.impl.InternalTransaction tx)
                   throws org.eclipse.emf.transaction.RollbackException

  Specified by:
    `precommit` in interface `org.eclipse.emf.transaction.impl.InternalTransactionalEditingDomain`
  Overrides:
    `precommit` in class `org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl`
  Throws:
    `org.eclipse.emf.transaction.RollbackException`

### broadcastUnbatched

    public void broadcastUnbatched(org.eclipse.emf.common.notify.Notification notification)

  Specified by:
    `broadcastUnbatched` in interface `org.eclipse.emf.transaction.impl.InternalTransactionalEditingDomain`
  Overrides:
    `broadcastUnbatched` in class `org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl`

### postcommit

    protected void postcommit(org.eclipse.emf.transaction.impl.InternalTransaction tx)

  Overrides:
    `postcommit` in class `org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.